<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h6 class="modal-title" id="myWorkServiceRequirementLabel" jhiTranslate="mpmApp.workServiceRequirement.home.createOrEditLabel">Create or edit a Work Service Requirement</h6>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true" (click)="clear()">&times;</button>
    </div>
    <div class="modal-body">
        <jhi-alert-error></jhi-alert-error>
        <div class="form-group" [hidden]="!workServiceRequirement.idWe">
            <label for="id" jhiTranslate="global.field.id">ID</label>
            <input type="text" class="form-control" id="id" name="id" [(ngModel)]="workServiceRequirement.idWe" readonly />
        </div>

        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.workServiceRequirement.booking" for="field_booking">Booking</label>
            <select class="form-control" id="field_booking" name="booking" [(ngModel)]="workServiceRequirement.bookingId" >
                <option [ngValue]="null"></option>
                <option [ngValue]="workOrderBookingOption.idBooking" *ngFor="let workOrderBookingOption of workorderbookings; trackBy: trackWorkOrderBookingById">{{workOrderBookingOption.id}}</option>
            </select>
        </div>
    </div>
    <div class="modal-footer">
        <button pButton type="button" data-dismiss="modal" (click)="clear()"
            label="{{'entity.action.cancel' | translate}}" 
            icon="fa-ban"
            class="ui-button-danger flat-label-button">
        </button>
        <button pButton type="submit" [disabled]="editForm.form.invalid || isSaving"
            label="{{'entity.action.save' | translate}}" 
            icon="fa-save"
            class="ui-button-primary flat-label-button">
        </button>
    </div>
</form>
